# module EimXML::Assertions

### Public Instance Methods

assert_has(expect, element, message="") click to toggle source

       # File lib/eim_xml/assertions.rb
     4 def assert_has(expect, element, message="")
     5         message << "\n" unless message.size==0
     6         message << "<#{element}> doesn't have\n<#{expect.inspect}>"
     7         assert_block(message) do
     8                 element.has?(expect)
     9         end
    10 rescue Test::Unit::AssertionFailedError=>e
    11         bt = e.backtrace.find_all do |b|
    12                 b !~ /#{Regexp.escape(__FILE__)}/
    13         end
    14         raise Test::Unit::AssertionFailedError, e.message, bt
    15 end